#BlackLivesMatter
AMP

amp-vk

Description

Embeds a VK post or poll widget.

Required Scripts

<script async custom-element="amp-vk" src="https://cdn.ampproject.org/v0/amp-vk-0.1.js"></script>

Supported Layouts

Behavior

You can use the amp-vk component to embed a VK post or poll widget.

Example of a post widget:

<amp-vk
  width="500"
  height="300"
  data-embedtype="post"
  layout="responsive"
  data-owner-id="1"
  data-post-id="45616"
  data-hash="Yc8_Z9pnpg8aKMZbVcD-jK45eAk"
>
</amp-vk>

Example of a poll widget:

<amp-vk
  width="400"
  height="300"
  layout="responsive"
  data-embedtype="poll"
  data-api-id="6183531"
  data-poll-id="274086843_1a2a465f60fff4699f"
>
</amp-vk>

Attributes

For additional information about widgets attributes, please see VK post widget documentation and VK poll widget documentation.

data-embedtype (required) The type of embed, either post or poll.
data-owner-id Owner id of a vk.com post. Supported when data-embedtype is post.
data-post-id Post id of a post. Supported when data-embedtype is post.
data-hash Security hash for the widget connection. Supported when data-embedtype is post.
data-api-id API id of a poll. Supported when data-embedtype is poll.
data-poll-id Id of a poll. Supported when data-embedtype is poll.
common attributes This element includes common attributes extended to AMP components.

Validation

See amp-vk rules in the AMP validator specification.

Ti servono altre informazioni?

Hai letto questo documento decine di volte ma non risponde a tutte le tue domande? Forse ci sono altre persone col tuo stesso problema: entra in contatto con loro su Stack Overflow.

Vai a Stack Overflow
Hai trovato un bug o una funzione mancante?

Il progetto AMP invita tutti a partecipare e dare il proprio contributo! Ci auguriamo che tu possa partecipare regolarmente alla nostra community open source, ma saremo anche lieti di ricevere eventuali contributi una-tantum sulle questioni che ti interessano.

Vai a GitHub